package com.qmth.teachcloud.data.vo;

import com.qmth.teachcloud.common.entity.SysOrg;
import io.swagger.annotations.ApiModelProperty;

/**
 * 机构数据
 */
public class OrgDataVo {

    @ApiModelProperty(value = "机构名称（二级学院）")
    private String collegeName;

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public SysOrg transferToSysOrg(Long schoolId, OrgDataVo orgDataVo) {
        SysOrg sysOrg = new SysOrg();
        sysOrg.setSchoolId(schoolId);
        sysOrg.setName(orgDataVo.getCollegeName());
        return sysOrg;
    }
}
