package com.qmth.teachcloud.data.vo;

import com.qmth.teachcloud.common.entity.BasicCourse;
import io.swagger.annotations.ApiModelProperty;

/**
 * 课程数据
 */
public class CourseDataVo {

    @ApiModelProperty(value = "课程代码")
    private String code;
    @ApiModelProperty(value = "课程名称")
    private String name;
    @ApiModelProperty(value = "机构名称（二级学院）")
    private String collegeName;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public BasicCourse transferToBasicCourse(Long schoolId, CourseDataVo courseDataVo) {
        BasicCourse basicCourse = new BasicCourse();
        basicCourse.setSchoolId(schoolId);
        basicCourse.setCode(courseDataVo.getCode());
        basicCourse.setName(courseDataVo.getName());
        basicCourse.setCollegeName(courseDataVo.collegeName);
        return basicCourse;
    }
}
